<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage Avengers</Series>
  <Number>002</Number>
  <Web>https://www.comixology.com/Savage-Avengers-2019-2/digital-comic/765226</Web>
  <Volume>2019</Volume>
  <Summary>The Hand has teamed up with the evil wizards of the Hyborian Age to summon a death god from a celestial hell. The only thing standing between Earth and destruction is the Savage Avengers: Conan, Wolverine, Punisher and Voodoo. Plus: Logan donates blood, changing one Avenger forever. And Conan discovers a dark secret squirming in a genie bottle. Your new favorite ongoing series is knives out in its second chapter.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB765226], [RELDATE:2019-06-05]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
